Package org.apache.sling.sitemap.spi.generator

## Interface SitemapGenerator.Context

Enclosing interface:
  SitemapGenerator

    public static interface SitemapGenerator.Context

A context object that gives the `SitemapGenerator` access to additional configurations and methods to track state.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getProperty​(@NotNull String name, @NotNull Class<T> cls)`
`<T> T` `getProperty​(@NotNull String name, T defaultValue)`
`void` `setProperty​(@NotNull String name, @Nullable Object data)`

### Method Detail

#### getProperty

    @Nullable
    <T> T getProperty​(@NotNull
                      @NotNull String name,
                      @NotNull
                      @NotNull Class<T> cls)

#### getProperty

    @NotNull
    <T> T getProperty​(@NotNull
                      @NotNull String name,
                      @NotNull
                      T defaultValue)

#### setProperty

    void setProperty​(@NotNull
                     @NotNull String name,
                     @Nullable
                     @Nullable Object data)